Package com.zfabrik.sync

## Class SynchronizationRunner

- java.lang.Object
- - com.zfabrik.sync.SynchronizationRunner

- All Implemented Interfaces:
    `java.lang.Runnable`

      public class SynchronizationRunner
      extends java.lang.Object
      implements java.lang.Runnable

  Performs a synchronization of the z2 home. This will look up all synchronizers (see `ISynchronizer`) and implement the synchronization process over them.
  Author:
    hb

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static short` | `INVALIDATE_AND_VERIFY` |
    `static short` | `VERIFY_ONLY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynchronizationRunner()` |
    `SynchronizationRunner​(short mode)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `end()` |
    `void` | `execute​(boolean wait)` |
    `static java.lang.Long` | `getLastSyncCompleted()` |
    `static java.lang.Long` | `getLastSyncStarted()` |
    `java.util.List<java.lang.String>` | `getLog()` |
    `short` | `getMode()` |
    `void` | `run()` |
    `static boolean` | `sequenceExecuting()` |
    `void` | `setKeepLog​(boolean keepLog)` |
    `void` | `setMode​(short mode)` |
    `void` | `setWhenDone​(java.lang.Runnable whenDone)` |
    `static void` | `start()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INVALIDATE_AND_VERIFY

          public static final short INVALIDATE_AND_VERIFY

      See Also:
        Constant Field Values

    - #### VERIFY_ONLY

          public static final short VERIFY_ONLY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SynchronizationRunner

          public SynchronizationRunner()

    - #### SynchronizationRunner

          public SynchronizationRunner​(short mode)

  - ### Method Detail

    - #### sequenceExecuting

          public static boolean sequenceExecuting()

    - #### getLastSyncStarted

          public static java.lang.Long getLastSyncStarted()

    - #### getLastSyncCompleted

          public static java.lang.Long getLastSyncCompleted()

    - #### start

          public static void start()

    - #### end

          public static void end()

    - #### setKeepLog

          public void setKeepLog​(boolean keepLog)

    - #### getLog

          public java.util.List<java.lang.String> getLog()

    - #### setWhenDone

          public void setWhenDone​(java.lang.Runnable whenDone)

    - #### setMode

          public void setMode​(short mode)

    - #### getMode

          public short getMode()

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### execute

          public void execute​(boolean wait)